Bug 827744 - failure to upgrade due to wrong disk space requirement estimates
failure to upgrade due to wrong disk space requirement estimates
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: preupgrade (Show other bugs)
16
x86_64 Linux
unspecified Severity urgent
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-02 14:31 EDT by Stefan Seefeld
Modified: 2013-02-13 09:45 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 09:45:36 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Stefan Seefeld 2012-06-02 14:31:52 EDT
I just attempted to upgrade from F16 to F17 using preupgrade.
Unfortunately that failed and left my system in a broken state:

When running preupgrade, it informed me that I needed to free up more space to get to the required 3.8 GB of free space. I did so, and started over. This time things ran to completion and I was asked to reboot.
After rebooting into the "upgrade" kernel image, the actual upgrade started. When installing the "filesystem" package the installer raises an "insufficient disk space" error, claiming that I needed 2.9 GB, when I only had 1.7 GB.

It appears as if one of the components used by preupgrade miscalculates the amount of required disk space rather spectacularly. (Unfortunately that isn't the first time I encountered an error of this kind.)

Switching to a different console, and trying to remove packages with yum, I get the error that python can't import the "yummain" module. Rebooting into one of my older F16 kernel images raises a bunch of different errors.

Clearly at this point my Fedora partition is corrupt. Is the only option for me to re-install (using an external F16 install disk) from scratch ?

Thanks,

    Stefan
Comment 1 Fedora End Of Life 2013-01-16 08:51:21 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Fedora End Of Life 2013-02-13 09:45:39 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.